Skip to main content

List scope

GET 

/v2/config/digital-wallet/openid/sdjwt/scopes

Lists the OAuth 2.0 scopes of the credential configurations of the organisation, as published in the Credential Issuer Metadata. Each credential configuration has a scope: the value of credentialDefinitions[].scope, else its credential configuration id. A wallet can ask for a credential configuration by this scope.

Request​

Query Parameters

    offset integerrequired

    Default value: 0

    Number of records to skip for pagination. A negative or unreadable value falls back to 0.

    limit integerrequired

    Default value: 10

    Maximum number of records to return per page.

Responses​

The server returns the scopes for the current page.

Response Headers
    Schema
      scope object[]

      Scopes for the current page. Each scope maps to a credential configuration in the OID4VCI Credential Issuer Metadata.

    • Array [
    • id stringrequired

      Unique identifier for the scope record.

      scope stringrequired

      OAuth 2.0 scope value mapped to a credential type in the OID4VCI Credential Issuer Metadata.

      createdAt numberrequired

      Unix timestamp (in seconds) when the scope was created.

      updatedAt numberrequired

      Unix timestamp (in seconds) when the scope was last modified.

    • ]
    • pagination object
      currentPage integer

      Current page number

      totalItems integer

      Total number of items available

      totalPages integer

      Total number of pages based on limit

      limit integer

      Number of items per page

      hasPrevious boolean

      Indicates if there's a previous page

      hasNext boolean

      Indicates if there's a next page

    Loading...